Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 605438 - dev-vcs/subversion fails test wc-queries-test
Summary: dev-vcs/subversion fails test wc-queries-test
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL: https://lists.apache.org/thread.html/...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks:
 
Reported: 2017-01-12 08:18 UTC by eroen
Modified: 2019-01-24 19:13 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,311.90 KB, text/plain)
2017-01-12 08:18 UTC, eroen
Details
tests.log (tests.log,236.91 KB, text/plain)
2017-01-12 08:20 UTC, eroen
Details
modified sqlite-3.26.0-build.log (build.log,19.40 KB, text/plain)
2019-01-22 23:09 UTC, Thomas Deutschmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description eroen 2017-01-12 08:18:30 UTC
Created attachment 459684 [details]
build.log

To reproduce, install dev-lang/python[sqlite] and make sure dev-vcs/subversion-1.9.5 is already installed. Failing to do so unfortunately means the test suite will not run.


[053/112] wc-queries-testFAILURE

At least one test FAILED, checking /var/tmp/portage/dev-vcs/subversion-1.9.5/work/subversion-1.9.5/tests.log
FAIL:  wc-queries-test 3: test query expectations
Summary of test results:
  2230 tests PASSED
  83 tests SKIPPED
  45 tests XFAILED (1 WORK-IN-PROGRESS)
  1 test FAILED
SUMMARY: Some tests failed.

Makefile:521: recipe for target 'check' failed
make: *** [check] Error 1
 * ERROR: dev-vcs/subversion-1.9.5::gentoo failed (test phase):
 *   Make check failed. See above for details.
 * 
 * Call stack:
 *            ebuild.sh, line  115:  Called src_test
 *          environment, line 7747:  Called default
 *   phase-functions.sh, line  805:  Called default_src_test
 *   phase-functions.sh, line  834:  Called __eapi0_src_test
 *     phase-helpers.sh, line  760:  Called die
 * The specific snippet of code:
 *   		$emake_cmd ${internal_opts} check || \
 *   			die "Make check failed. See above for details."
Comment 1 eroen 2017-01-12 08:20:21 UTC
Created attachment 459686 [details]
tests.log

svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_temp_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200042: Additional errors:
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
svn_tests: E200035: |SCAN TABLE sqlite_temp_master
FAIL:  wc-queries-test 3: test query expectations
Comment 2 eroen 2017-01-12 08:20:55 UTC
localhost ~ # emerge --info '=dev-vcs/subversion-1.9.5::gentoo'
Portage 2.3.0 (python 3.4.5-final-0, default/linux/amd64/13.0, gcc-4.9.4, glibc-2.22-r4, 4.4.6-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.4.6-gentoo-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.3
KiB Mem:     4043380 total,   1601644 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Wed, 11 Jan 2017 00:45:01 +0000
sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-lang/perl:            5.22.3_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.69::gentoo
sys-devel/automake:       1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS=""
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bindist bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx mmxext modules multilib ncurses nls nptl openmp pam pcre readline seccomp session sse sse2 ssl tcpd unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-vcs/subversion-1.9.5::gentoo was built with the following:
USE="berkdb http nls -apache2 -ctypes-python -debug -doc -dso -extras -gnome-keyring -java -kde -perl -python -ruby -sasl -test -vim-syntax" ABI_X86="64" PYTHON_TARGETS="python2_7"

localhost ~ # emerge -pqv '=dev-vcs/subversion-1.9.5::gentoo'
[ebuild   R   ] dev-vcs/subversion-1.9.5  USE="berkdb http nls {test*} -apache2 -ctypes-python -debug -doc -dso -extras -gnome-keyring -java -kde -perl -python -ruby -sasl -vim-syntax" PYTHON_TARGETS="python2_7" 

 * IMPORTANT: 12 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.
Comment 3 Rolf Eike Beer 2018-02-23 17:55:19 UTC
I see the same error with 1.9.7 on sparc.
Comment 4 Matt Turner gentoo-dev 2018-03-12 03:59:10 UTC
I saw this on ppc64 with version 1.9.7-r1.
Comment 5 Rolf Eike Beer 2018-04-19 19:45:56 UTC
Same with 1.10.0 on sparc.
Comment 6 Thomas Deutschmann gentoo-dev Security 2019-01-17 18:44:19 UTC
Still failing in =dev-vcs/subversion-1.10.3:

START: wc-queries-test
DBG: Using Sqlite 3.25.3
PASS:  wc-queries-test 1: sqlite up-to-date
PASS:  wc-queries-test 2: queries are parsable
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MERGE' in explanation
DBG: Unhandled sqlite operation 'LEFT' in explanation
DBG: Unhandled sqlite operation 'RIGHT' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Expected 'SUBQUERIES', got 'QUERY' in 'COMPOUND QUERY'
DBG: Unhandled sqlite operation 'LEFT-MOST' in explanation
DBG: Unhandled sqlite operation 'UNION' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Expected 'SUBQUERIES', got 'QUERY' in 'COMPOUND QUERY'
DBG: Unhandled sqlite operation 'LEFT-MOST' in explanation
DBG: Unhandled sqlite operation 'UNION' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Expected 'SUBQUERIES', got 'QUERY' in 'COMPOUND QUERY'
DBG: Unhandled sqlite operation 'LEFT-MOST' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'UNION' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'MERGE' in explanation
DBG: Unhandled sqlite operation 'LEFT' in explanation
DBG: Unhandled sqlite operation 'RIGHT' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'MERGE' in explanation
DBG: Unhandled sqlite operation 'LEFT' in explanation
DBG: Unhandled sqlite operation 'RIGHT' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'SCALAR' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Expected 'SUBQUERIES', got 'QUERY' in 'COMPOUND QUERY'
DBG: Unhandled sqlite operation 'LEFT-MOST' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'UNION' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CO-ROUTINE' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MERGE' in explanation
DBG: Unhandled sqlite operation 'LEFT' in explanation
DBG: Expected 'TABLE', got 'CONSTANT' in 'SCAN CONSTANT ROW'
DBG: Unhandled sqlite operation 'RIGHT' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MERGE' in explanation
DBG: Unhandled sqlite operation 'LEFT' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'RIGHT' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
DBG: Unhandled sqlite operation 'CORRELATED' in explanation
DBG: Unhandled sqlite operation 'MULTI-INDEX' in explanation
svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_UPDATE_MOVE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS update_move_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_FINALIZE_DELETE: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS delete_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_REVERT_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE IF EXISTS revert_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200006: STMT_DROP_TARGETS_LIST: Uses sqlite_master with only 0 index component: ((null))
DROP TABLE targets_list 
svn_tests: E200042: Additional errors:
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
svn_tests: E200035: |SCAN TABLE sqlite_master
FAIL:  wc-queries-test 3: test query expectations
PASS:  wc-queries-test 4: test query duplicates
PASS:  wc-queries-test 5: test schema statistics
PASS:  wc-queries-test 6: verify queries are parsable
END: wc-queries-test
ELAPSED: wc-queries-test 0:00:00.167083



CC'ing dev-db/sqlite maintainer. Test is passing Debian.
Comment 7 Arfrever Frehtes Taifersar Arahesis 2019-01-17 22:17:19 UTC
About "Unhandled sqlite operation '...' in explanation", maybe this test does not handle some additional output in newer versions of SQLite. Probably this is not serious problem.
No idea about other warnings/errors.

Is this problem still present in Subversion 1.11.1?
Which version of SQLite is used in Debian?
Comment 8 Thomas Deutschmann gentoo-dev Security 2019-01-18 01:12:40 UTC
Yes, still failing in latest version (1.11.1).

My source for the claim that test is passing in Debian is the following build.log: https://buildd.debian.org/status/fetch.php?pkg=subversion&arch=amd64&ver=1.11.0%7Erc2-1%2Bb1&stamp=1543405143&raw=0 ... so they are using sqlite-3.25.3.
Comment 9 Arfrever Frehtes Taifersar Arahesis 2019-01-18 07:31:40 UTC
Please check if reproducibility is related to SQLite build options, by firstly rebuilding SQLite with most of them disabled:

--- sqlite-3.26.0.ebuild
+++ sqlite-3.26.0.ebuild
@@ -95,4 +95,5 @@
 	fi
 
+	if false; then
 	# Support detection of misuse of SQLite API.
 	# https://sqlite.org/compile.html#enable_api_armor
@@ -197,4 +198,5 @@
 	# https://sqlite.org/uri.html
 	append-cppflags -DSQLITE_USE_URI
+	fi
 
 	# debug USE flag.
@@ -231,5 +233,5 @@
 
 	# secure-delete USE flag.
-	if use secure-delete; then
+	if false; then
 		# Enable secure_delete pragma by default.
 		# https://sqlite.org/pragma.html#pragma_secure_delete
Comment 10 Thomas Deutschmann gentoo-dev Security 2019-01-19 00:45:07 UTC
Test is passing with the sqlite ebuild changes.
Comment 11 Arfrever Frehtes Taifersar Arahesis 2019-01-19 06:17:46 UTC
For each single feature in SQLite, please re-enable it, rebuild SQLite and check Subversion again :) .
Comment 12 Thomas Deutschmann gentoo-dev Security 2019-01-19 23:19:31 UTC
Done. Test failure is caused by

> -DSQLITE_ENABLE_STMT_SCANSTATUS

Once I disable that feature, e.g.

--- a/dev-db/sqlite/sqlite-3.25.3.ebuild
+++ b/dev-db/sqlite/sqlite-3.25.3.ebuild
@@ -158,7 +158,7 @@ multilib_src_configure() {
        # Support scan status functions.
        # https://sqlite.org/c3ref/stmt_scanstatus.html
        # https://sqlite.org/c3ref/stmt_scanstatus_reset.html
-       append-cppflags -DSQLITE_ENABLE_STMT_SCANSTATUS
+       #append-cppflags -DSQLITE_ENABLE_STMT_SCANSTATUS

        # Support sqlite_stmt virtual table.
        # https://sqlite.org/stmt.html


test is passing.
Comment 14 Branko Čibej 2019-01-22 21:50:57 UTC
This was sent to the wrong list, it should be dev@subversion.apache.org, not users@.

Other than that, I'm looking into this but for now have trouble understanding how it could be caused by a bug in Subversion.
Comment 15 Thomas Deutschmann gentoo-dev Security 2019-01-22 21:54:56 UTC
(In reply to Branko Čibej from comment #14)
> This was sent to the wrong list, it should be dev@subversion.apache.org, not
> users@.

Heh, I just followed instructions from https://subversion.apache.org/reporting-issues.html

> Please do not file new issues before validating your complaint via a well-formed bug report sent to:
> 
> users@subversion.apache.org
> 
> Unvalidated issues will be unceremoniously closed. Trust us — we have good reasons for this.

Thanks for moving!


> Other than that, I'm looking into this but for now have trouble
> understanding how it could be caused by a bug in Subversion.

I expect that this is just a test failure caused by a strict test. If that's true, maybe test can be modified to work with 

> -DSQLITE_ENABLE_STMT_SCANSTATUS
Comment 16 Branko Čibej 2019-01-22 21:58:07 UTC
The 'Unhandled sqlite operation ...' stuff is just debug output, it's harmless and caused by the parser for SQLite's 'explain' output being out of date.
Comment 17 Branko Čibej 2019-01-22 21:58:51 UTC
You're right, our site does point you to users@ ... because we usually don't get such detailed bug reports :)

I've moved the mail thread to dev@.
Comment 18 Branko Čibej 2019-01-22 22:09:28 UTC
Aha, I think I have it. The test fails if the parser for 'EXPLAIN QUERY PLAN' output fails, which means we have to update the parser for output from newer SQLite versions.

In other words, the test failure is most likely a red herring, but if we have this in our code, we should make it work.

See: https://issues.apache.org/jira/browse/SVN-4804
Comment 19 Branko Čibej 2019-01-22 22:38:12 UTC
Hmmm ... I can't reproduce this with the latest SQLite (3.26.0) on macOS. What _other_ non-standard options do you use to build SQLite? This may be due to a combination of options rather than a single one.
Comment 20 Thomas Deutschmann gentoo-dev Security 2019-01-22 22:46:27 UTC
(In reply to Branko Čibej from comment #19)
> Hmmm ... I can't reproduce this with the latest SQLite (3.26.0) on macOS.
> What _other_ non-standard options do you use to build SQLite? This may be
> due to a combination of options rather than a single one.

Please see our ebuild: https://gitweb.gentoo.org/repo/gentoo.git/tree/dev-db/sqlite/sqlite-3.26.0.ebuild?id=03c4c2460e7a3c1463352272bbadfae94097e997#n86

I'll do the test from comment #9 again, disable everything and just enable -DSQLITE_ENABLE_STMT_SCANSTATUS...
Comment 21 Thomas Deutschmann gentoo-dev Security 2019-01-22 23:09:09 UTC
Created attachment 562560 [details]
modified sqlite-3.26.0-build.log

First one is passing, second one (with -DSQLITE_ENABLE_STMT_SCANSTATUS) is failing:

> -DNDEBUG -DSQLITE_SECURE_DELETE -D_REENTRANT=1 -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS4 -DSQLITE_ENABLE_FTS5 -DSQLITE_ENABLE_JSON1 -DSQLITE_ENABLE_RTREE -DSQLITE_HAVE_ZLIB  -DSQLITE_ENABLE_EXPLAIN_COMMENTS -DSQLITE_ENABLE_DBPAGE_VTAB -DSQLITE_ENABLE_STMTVTAB -DSQLITE_ENABLE_DBSTAT_VTAB
> -DNDEBUG -DSQLITE_SECURE_DELETE -D_REENTRANT=1 -DSQLITE_THREADSAFE=1 -DSQLITE_ENABLE_FTS4 -DSQLITE_ENABLE_FTS5 -DSQLITE_ENABLE_JSON1 -DSQLITE_ENABLE_RTREE -DSQLITE_HAVE_ZLIB  -DSQLITE_ENABLE_EXPLAIN_COMMENTS -DSQLITE_ENABLE_DBPAGE_VTAB -DSQLITE_ENABLE_STMTVTAB -DSQLITE_ENABLE_DBSTAT_VTAB -DSQLITE_ENABLE_STMT_SCANSTATUS

Tested against sqlite 3.26.0 2018-12-01 12:34:55 bf8c1b2b7a5960c282e543b9c293686dccff272512d08865f4600fb58238b4f9

Please see attached sqlite build.log.
Comment 22 Branko Čibej 2019-01-23 03:23:00 UTC
I managed to reproduce the failure now. And it is indeed a bug in the test.
Comment 23 Branko Čibej 2019-01-24 11:22:44 UTC
Fixed in http://svn.apache.org/r1852013
Comment 24 Thomas Deutschmann gentoo-dev Security 2019-01-24 18:58:03 UTC
Thank you very much for your effort! I can confirm that the patch fixes the reported problem.
Comment 25 Larry the Git Cow gentoo-dev 2019-01-24 19:13:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=460a53098432a7c7a2dfd4d9f703ec631ca9f1a6

commit 460a53098432a7c7a2dfd4d9f703ec631ca9f1a6
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2019-01-24 19:13:11 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2019-01-24 19:13:11 +0000

    dev-vcs/subversion: fix test wc-queries-test test
    
    Thanks to Branko Čibej (upstream) for the patch!
    
    Closes: https://bugs.gentoo.org/605438
    Package-Manager: Portage-2.3.56, Repoman-2.3.12
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 ...subversion-1.9.7-fix-wc-queries-test-test.patch | 26 ++++++++++++++++++++++
 dev-vcs/subversion/subversion-1.10.3.ebuild        |  1 +
 dev-vcs/subversion/subversion-1.10.4.ebuild        |  1 +
 dev-vcs/subversion/subversion-1.11.0.ebuild        |  3 ++-
 dev-vcs/subversion/subversion-1.11.1.ebuild        |  1 +
 dev-vcs/subversion/subversion-1.9.7-r1.ebuild      |  3 ++-
 6 files changed, 33 insertions(+), 2 deletions(-)